#ifndef _GAMECHARACTER_H_
#define _GAMECHARACTER_H_

#include <string>
#include "gameBase.h"

using namespace std;

class gameCharacter : virtual public gameBase {
  private:
    int hitpoints;
    int speed;
    string name;
    
  public:
    gameCharacter(int pHP, int pSpeed, string pName, int pId) :
	gameBase(pId)
    {
	hitpoints = pHP;
	speed = pSpeed;
	name = pName;
    }
    
    int getSpeed() {
	return speed;      
    }
    
    void modifyHP(int pHP) {
        hitpoints += pHP; 
    }
  
    int getHP () {
	return hitpoints;
    }
};

#endif